# httphere

Simple web server to make a directory available via http. Uses [enhancedfileserver](https://gitto.work/shortcut/enhancedfileserver) for a more featureful 
listing and optionally includes authentication, simple request logging, and directory index generation.


# Installation

```console
foo@bar:~$ go get -u gitto.work/shortcut/httphere
```  

# Example usage

```console
foo@bar:~$ httphere -listen 127.0.0.1 -port 8080 -username Secretname -password Secretpassword -log
```
